Home//
REST API Reference
/- Search for articles
List all articles
Create an article
Retrieve an article
Update an article
Delete an article
Retrieve an article draft
Stage an article draft
Publish an article draft
Add a tag to an article
Remove a tag from an article
List article versions
Retrieve an article version
Article
Articles
Article Search Highlights
Article Search Response
Article Version
Article Version Summary
Internal Article
Search for articles
You can search for articles by making a GET request to https://api.intercom.io/articles/search.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
- The production API serverhttps://api.intercom.io/articles/search
- The european API serverhttps://api.eu.intercom.io/articles/search
- The australian API serverhttps://api.au.intercom.io/articles/search
curl -i -X GET \
'https://api.intercom.io/articles/search?phrase=Getting%20started&state=published&help_center_id=123&highlight=false' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.16'Search successful
pagesobject or null(Cursor based pages)
Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data. A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.
Response
{ "type": "list", "total_count": 1, "data": { "articles": [ … ], "highlights": [] }, "pages": { "type": "pages", "page": 1, "total_pages": 1, "per_page": 10 } }